# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 3005
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30
  ssl:
    key-store: classpath:scs1655948404442_hzl.willalp.com_server.jks
    key-store-type: jks
    key-store-password: Qz7!sIeMZDpxYLBm
    protocol: TLS
    enabled: true

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: prod
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  activiti:
    # 解决启动报错：class path resource [processes/] cannot be resolved to URL because it does not exist
    check-process-definitions: false
    # 检测身份信息表是否存在
    db-identity-used: false
# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 30

mybatis-plus:
  mapper-locations: classpath*:/com/willalp/**/mapper/xml/*.xml
  #实体扫描，多个package用逗号或者分号分隔
  type-aliases-package: com.willalp.**.domain
  #typeEnumsPackage: com.baomidou.springboot.entity.enums
  global-config:
    db-config:
      #主键类型 com.baomidou.mybatisplus.annotation.IdType";
      id-type: ASSIGN_ID
      #字段策略 com.baomidou.mybatisplus.annotation.FieldStrategy"
      insert-strategy: NOT_EMPTY
      update-strategy: IGNORED
      #逻辑删除配置（下面3个配置）
      logic-delete-value: 1
      logic-not-delete-value: 0
      logic-delete-field: is_delete
  configuration:
    jdbc-type-for-null: 'null'
    #数据库大写下划线转换
    map-underscore-to-camel-case: true
    cache-enabled: false
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl #开启sql日志
    local-cache-scope: statement
  configuration-properties:
    dbType: mysql #设置全局属性用于控制数据库的类型

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

#文件上传配置
#使用的上传存储空间,local本地,aliyun:阿里云
oss:
  client-type: local
  #默认上传目录
  base_dir: userfiles
  #允许的文件扩展名
  allowed_extension: mp4,bmp, gif, jpg, jpeg, png,doc, docx, xls, xlsx, ppt, pptx,html,htm,txt,rar, zip, gz, bz2,pdf
  #最大文件大小 50M
  max_size: 52428800
  #是否需要按照日期存放文件
  needDatePath: false
wx:
  appId: wxafec1ba2cf8721e3
  appSecret: 9c564fd3a545a3636895c210dc230ec4